--
SET OPTION Statistics          = 3 
go
SET OPTION Date_order          = 'YMD' 
go
SET OPTION describe_java_format= 'binary' 
go
SET OPTION PUBLIC.Preserve_source_format = 'OFF' 
go
commit work 
go
--
-------------------------------------------------
--   PERSONSTREET
-------------------------------------------------
DELETE FROM PERSONSTREET; commit;

if not exists(select 1 from sys.syscolumn where column_name = 'SOCR' and table_id =(select table_id from sys.systable where table_name = 'PERSONSTREET')) then
  alter table PERSONSTREET add SOCR  varchar(10) not null default '';
end if; 
if not exists(select 1 from sys.syscolumn where column_name = 'SUBJECTID' and table_id =(select table_id from sys.systable where table_name = 'PERSONSTREET')) then
  alter table PERSONSTREET add SUBJECTID integer not null default 0;
end if; 
if not exists(select 1 from sys.syscolumn where column_name = 'TYPE' and table_id =(select table_id from sys.systable where table_name = 'PERSONSTREET')) then
  alter table PERSONSTREET add TYPE integer not null default 0;
end if; 
commit;

if not exists(select 1 from sys.sysindexes where iname='PERSONSTREET_SUBJECTID') then CREATE INDEX "PERSONSTREET_SUBJECTID" ON "Admin"."PERSONSTREET" ( SUBJECTID ); end if; commit;
if not exists(select 1 from sys.sysindexes where iname='PERSONSTREET_TYPE') then CREATE INDEX "PERSONSTREET_TYPE" ON "Admin"."PERSONSTREET" ( TYPE ); end if; commit;
if not exists(select 1 from sys.sysindexes where iname='PERSONSTREET_NAME') then CREATE INDEX "PERSONSTREET_NAME" ON "Admin"."PERSONSTREET" ( NAME ); end if; commit;

--
LOAD TABLE "Admin"."PERSONSTREET" ("ID", "NAME", "SOCR", "SUBJECTID", "TYPE" )
	FROM 'C:\\KLADR2\\PERSONSTREET.dat'
	FORMAT 'ASCII' QUOTES ON
	ORDER OFF ESCAPES ON
	CHECK CONSTRAINTS OFF COMPUTES OFF
	STRIP OFF DELIMITED BY ','
go
commit work
go

-------------------------------------------------
--   PERSONSETTLEMENT
-------------------------------------------------
if not exists(select 1 from sys.systable where table_name = 'PERSONSETTLEMENT') then
create table PERSONSETTLEMENT
(
 ID integer not null default autoincrement,
 NAME varchar(254) not null default '',
 TYPE varchar(20) not null default '',
 SUBJECTID integer not null default 0,
 primary key(ID)
)
end if; commit;

if not exists(select 1 from sys.syscolumn where column_name = 'TYPE' and table_id =(select table_id from sys.systable where table_name = 'PERSONSETTLEMENT')) then
	alter table PERSONSETTLEMENT add TYPE varchar(20);
end if;
if not exists(select 1 from sys.syscolumn where column_name = 'SUBJECTID' and table_id =(select table_id from sys.systable where table_name = 'PERSONSETTLEMENT')) then
	alter table PERSONSETTLEMENT add SUBJECTID integer not null default 0;
end if;

DELETE FROM PERSONSETTLEMENT; commit;

LOAD TABLE "Admin"."PERSONSETTLEMENT" ("ID", "NAME", "TYPE", "SUBJECTID" )
	FROM 'C:\\KLADR2\\PERSONSETTLEMENT.dat'
	FORMAT 'ASCII' QUOTES ON
	ORDER OFF ESCAPES ON
	CHECK CONSTRAINTS OFF COMPUTES OFF
	STRIP OFF DELIMITED BY ','
go
commit work
go


-------------------------------------------------
--   FmsOfficialOrgan
-------------------------------------------------

DELETE FROM FmsOfficialOrgan; COMMIT;

LOAD TABLE "Admin"."FmsOfficialOrgan" ("CodeID", "Name", "Code" )
	FROM 'C:\\KLADR2\\FmsOfficialOrgan.dat'
	FORMAT 'ASCII' QUOTES ON
	ORDER OFF ESCAPES ON
	CHECK CONSTRAINTS OFF COMPUTES OFF
	STRIP OFF DELIMITED BY ','
go
commit work
go

-------------------------------------------------
--   KPPInfo
-------------------------------------------------

DELETE FROM KPPInfo; COMMIT;

LOAD TABLE "Admin"."KPPInfo" ("ID", "Name", "SIGNATURE", "FMS_CODEID", "FMS_ID" )
	FROM 'C:\\KLADR2\\KPPInfo.dat'
	FORMAT 'ASCII' QUOTES ON
	ORDER OFF ESCAPES ON
	CHECK CONSTRAINTS OFF COMPUTES OFF
	STRIP OFF DELIMITED BY ','
go
commit;

-------------------------------------------------
--    
-------------------------------------------------
if not exists(select 1 from sys.systable where table_name = 'PERSONMO') then
create table PERSONMO
(
 ID integer not null default autoincrement,
 NAME varchar(254) not null default '',
 SUBJECTID integer not null default 0,
 primary key(ID)
)
end if; commit;

if not exists(select 1 from sys.sysindexes where iname='PERSONMO_NAME') then CREATE INDEX "PERSONMO_NAME" ON "Admin"."PERSONMO" ( NAME ); end if; commit;
if not exists(select 1 from sys.sysindexes where iname='PERSONMO_SUBJECTID') then CREATE INDEX "PERSONMO_SUBJECTID" ON "Admin"."PERSONMO" ( SUBJECTID ); end if; commit;

DELETE FROM PERSONMO; COMMIT;

LOAD TABLE "Admin"."PERSONMO" ("ID", "NAME", "SUBJECTID" )
	FROM 'C:\\KLADR2\\PERSONMO.dat'
	FORMAT 'ASCII' QUOTES ON
	ORDER OFF ESCAPES ON
	CHECK CONSTRAINTS OFF COMPUTES OFF
	STRIP OFF DELIMITED BY ','
go
commit work
go
